No such file to load -- RMagick

Hi,

Im attempting to use the sparklines graph plugin, and am reciving the
message below.

no such file to load – RMagick

Has anyone got any one suggestions on how to go about installing rmagick
using rails or any tutorials?

Thanks

ben wrote:

Has anyone got any one suggestions on how to go about installing rmagick
using rails or any tutorials?

$ gem install rmagick

On Linux/OSX you will probably need root for this.

Cheers,

Łukasz Piestrzeniewicz

ben wrote:

Łukasz Piestrzeniewicz wrote:

ben wrote:
$ gem install rmagick

Hi, Ive jsut run the command above, and from the looks of the message
below, its hasnt installed correctly, any sugestions to what I can do to
get this working?

http://rmagick.rubyforge.org/install-faq.html

Łukasz Piestrzeniewicz wrote:

ben wrote:
$ gem install rmagick

Hi, Ive jsut run the command above, and from the looks of the message
below, its hasnt installed correctly, any sugestions to what I can do to
get this working?

Thanks

C:\InstantRails\rails_apps>gem install rmagick

Attempting local installation of ‘rmagick’
Local gem file not found: rmagick*.gem
Attempting remote installation of ‘rmagick’
Building native extensions. This could take a while…
gem_extconf.rb:38: undefined method `exitstatus’ for nil:NilClass
(NoMethodError
)
ERROR: While executing gem … (RuntimeError)
ERROR: Failed to build gem native extension.
Gem files will remain installed in
C:/InstantRails/ruby/lib/ruby/gems/1.8/gems/r
magick-1.13.0 for inspection.
ruby gem_extconf.rb install rmagick\n
sh configure

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs